// #autoload 
// #name = Drop Repair Pack 
// #version = 0.1 
// #date = January 27, 2003 
// #author = ilys 
// #warrior = ilys 
// #category = ilys' Scripts
// #description = Drops the Repair Pack on pickup 
// #status = beta 
// #include = support/loadout.cs 

$droprepairpack = 1; 

package DropRepairPack 
{ 
   function DropRepairPackToggle(%val) 
   { 
      if(%val) return; 

      $droprepairpack=!$droprepairpack; 
      if ($droprepairpack) 
      { 
         addMessageHudLine("\c7Drop Repair Pack active."); 
         DropThePack(); 
      } 
      else 
      { 
         addMessageHudLine("\c7Drop Repair Pack disabled."); 
      } 
   } 

   function DropThePack() 
   { 
      %pack = loadout.getPack(); 
      if(%pack $= "RepairPack" && $droprepairpack) 
      { 
         throwPack(1); 
      } 
   } 

   function clientCmdSetBackpackHudItem(%num, %addItem) 
   { 
      Parent::clientCmdSetBackpackHudItem(%num, %addItem); 
      DropThePack(); 
   } 

   function OptionsDlg::onWake(%this) 
   { 
      if(!$repairpackbind) 
      { 
         $RemapName[$RemapCount]="Drop Repair Pack Toggle"; 
         $RemapCmd[$RemapCount]="DropRepairPackToggle"; 
         $RemapCount++; 
         $repairpackbind = 1; 
      } 
      parent::onWake(%this); 
   } 
}; 

activatepackage(DropRepairPack);